//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "VertLine.h"
#include "PlayerTrail.h"
#include "TitleAtlas.h"
#include "MainAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 64, L"TimeFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 128, L"ScoreFont")));
	registerSingleImage(shared_ptr<SingleImage>(new VertLine()));
	registerSingleImage(shared_ptr<SingleImage>(new PlayerTrail()));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Italic.otf"), 144, L"AnnounceFont")));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new TitleAtlas()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper00.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper01.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper02.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper03.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper04.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper05.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper06.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper07.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper08.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper09.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper10.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper11.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper12.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper13.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper14.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper15.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper16.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper17.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper18.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper19.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper20.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper21.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper22.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper23.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper24.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper25.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper26.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper27.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper28.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Whisper29.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BeepHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BeepLo.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PointScoredBlue.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PointScoredRed.ogg"));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PowerDownBlue.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PowerDownRed.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PowerUpBlue.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"PowerUpRed.ogg"));
}
